//*****************************************
// AT mega328P-AU(32pin TQFP) Six Nixie Clock Program
// CPU Clock:8MHz
//   iq[Yf[^@WȂBIV[^(8MHz)ɂj
//
// File Name:display.c
//
//  2016/09/16 Taishi
//*****************************************

#include	"six_nixie.h"
#include	"nixie.h"
#include	"display.h"

//  Qabc̕\
void	disp_nixie_tow_h(unsigned char bcd)
{
	disp_dynamic_nixie_number(0, bcd >> 4);		// 
	disp_dynamic_nixie_number(1, bcd & 0x0f);	// 
}
//  Qabc̕\
void	disp_nixie_tow_m(unsigned char bcd)
{
	disp_dynamic_nixie_number(2, bcd >> 4);		// 
	disp_dynamic_nixie_number(3, bcd & 0x0f);	// 
}
//  Qabc̕\
void	disp_nixie_tow_l(unsigned char bcd)
{
	disp_dynamic_nixie_number(4, bcd >> 4);		// 
	disp_dynamic_nixie_number(5, bcd & 0x0f);	// 
}
// Sabc̕\
void	disp_nixie_four(unsigned char bcd_h, unsigned char bcd_l)
{
	disp_dynamic_nixie_number(0, bcd_h >> 4);		// 
	disp_dynamic_nixie_number(1, bcd_h & 0x0f);		// 
	disp_dynamic_nixie_number(2, bcd_l >> 4);		// 
	disp_dynamic_nixie_number(3, bcd_l & 0x0f);		// 
}
// Uabc̕\
void	disp_nixie_six(unsigned char bcd_h, unsigned char bcd_m, unsigned char bcd_l)
{
	disp_dynamic_nixie_number(0, bcd_h >> 4);		// 
	disp_dynamic_nixie_number(1, bcd_h & 0x0f);		// 
	disp_dynamic_nixie_number(2, bcd_m >> 4);		// 
	disp_dynamic_nixie_number(3, bcd_m & 0x0f);		// 
	disp_dynamic_nixie_number(4, bcd_l >> 4);		// 
	disp_dynamic_nixie_number(5, bcd_l & 0x0f);		// 
}
