//*****************************************
// AT mega328P-AU(32pin TQFP) Six Nixie Clock Program
// CPU Clock:8MHz
//   iq[Yf[^@WȂBIV[^(8MHz)ɂj
//
// File Name:nixie.h
//
//  2016/09/16 Taishi
//*****************************************

#define	KETA_MAX	5


extern	unsigned char	nixe_active;
extern	unsigned char	path_limit;

extern	void	init_nixe(void);
extern	void	proc_dynamic_nixie(void);
extern	void	dynamic_nixie_active(unsigned char on);
extern	void	disp_nixie_full(char *cp);
extern	void	disp_nixie_number(char *cp);
extern	void	disp_dynamic_nixie_dot(unsigned char k, unsigned char on_off);
extern	void	disp_dynamic_nixie_number(unsigned char k, unsigned char n);
extern	void	disp_dynamic_colon(unsigned char d);

extern	void	disp_static_nixie_dot(unsigned char k);
extern	void	disp_static_nixie_number(unsigned char k, unsigned char n);
