//*****************************************
// AT mega328P-AU(32pin TQFP) Six Nixie Clock Program
// CPU Clock:8MHz
//   iq[Yf[^@UWlgɂj
// File Name:set_rtc.c
//
//  C:\WinAVR-20100110\doc\avr-libc\avr-libc-user-manual.pdf ɊeCN[ht@C̐
//
//  2016/09/16 Taishi
//*****************************************

#include	<avr/interrupt.h>
#include	<avr/io.h>

#include	"six_nixie.h"
#include	"timer.h"
#include	"port_bit.h"
#include	"rtc_ds3234.h"
#include	"display.h"
#include	"nixie.h"
#include	"set_rtc_2keta.h"
#include	"set_rtc_4keta.h"
#include	"set_rtc_6keta.h"
#include	"set_rtc.h"


//*****************************************
// v킹
// ߂l@OFɂqsbɃANZXł
// @@@@PFɂqsbɃANZXłȂ
// @OFԑ얳
//*****************************************
unsigned char	proc_set_rtc(void)
{
	unsigned char	r = 0;

	rtc_read();									// RTC ǂݏo

	gRTC_mon &= 0x1f;							// 
	gRTC_day &= 0x3f;							// 
	gRTC_hou &= 0x3f;							// 
	gRTC_min &= 0x7f;							// 
	gRTC_sec &= 0x7f;							// b

	if(g_keta == 2){							// \Q̎
		r = proc_set_rtc_2keta();				// Qp v킹
	}else if(g_keta == 4){						// \S̎
		r = proc_set_rtc_4keta();				// Sp v킹
	}else{
		r = proc_set_rtc_6keta();				// Up v킹
	}

	return(r);
}

